apiVersion: batch/v1
kind: Job
metadata:
  annotations:
    argocd.argoproj.io/sync-wave: "15"
  name: update-cluster-version-osus
  namespace: {{ osus_namespace | default("openshift-update-service") }}
spec:
  template:
    spec:
      serviceAccountName: update-cv-job
      containers:
      - image: quay.io/openshift/origin-cli:4.14
        name: update-cluster-version
        command:
        - /bin/sh
        - -c
        - |
          NAMESPACE={{ osus_namespace | default("openshift-update-service") }}
          POLICY_ENGINE_GRAPH_URI="$(oc -n ${NAMESPACE} get -o jsonpath='{.status.policyEngineURI}/api/upgrades_info/v1/graph{"\n"}' updateservice osus-update-service)"
          PATCH="{\"spec\":{\"upstream\":\"${POLICY_ENGINE_GRAPH_URI}\"}}"
          oc patch clusterversion version -p $PATCH --type merge
      restartPolicy: Never
